<?php


class AuthcacheForumListNewTopicsFragment implements AuthcacheP13nFragment, AuthcacheP13nFragmentLoader {
  /**
   */
  function load($keys) {
    global $user;
    drupal_language_initialize();
    include_once DRUPAL_ROOT . '/includes/common.inc';
    include_once DRUPAL_ROOT . '/' . variable_get('path_inc', 'includes/path.inc');
    include_once DRUPAL_ROOT . '/modules/field/field.module';
    include_once DRUPAL_ROOT . '/modules/node/node.module';  // Need NODE_NEW_LIMIT definition
    include_once DRUPAL_ROOT . '/modules/forum/forum.module';
    include_once DRUPAL_ROOT . '/modules/filter/filter.module'; // XSS filter for l()

    $result = array();

    foreach ($keys as $tid) {
      $result[$tid] = (int) _forum_topics_unread($tid, $user->uid);
    }

    return $result;
  }

  /**
   * Number of new forum topics for user
   * @see forum.module
   */
  function render($tid, $new_topics) {
    return $new_topics ? l(format_plural($new_topics, '1 new', '@count new') , "forum/$tid", array('fragment' => 'new')): '';
  }
}
