<?php

/**
 * Interface for request response content builders
 */
interface AuthcacheP13nContentBuilder {
  /**
   * Build and return the content defined by the input parameters.
   *
   * When no appropriate content is present, implementations should throw an
   * AuthcacheP13nRequsetNotFound exception.
   *
   * @param $input array
   *   The GET parameters in key-value form
   *
   * @return array|string
   *   The built content suitable for passing to the content encoder.
   *
   * @throws AuthcacheP13nRequestNotFound
   */
  public function build($input);
}
