<?php
/**
 * @file
 * Defines authcache personalized fragment renderer.
 */

/**
 * Interface for personalization fragment renderers.
 */
interface AuthcacheP13nFragment {
  /**
   * Render and return fragment.
   *
   * @param $key
   *   The key for the fragment to be rendered.
   * @param $subject
   *   The result of the loader function for the given key. If no
   *   AuthcacheP13nFragmentLoader is associated with this fragment, subject is
   *   equal to key.
   *
   * @return string
   *   Return a string representing the HTML fragment
   */
  public function render($key, $subject);
}
