<?php
/**
 * @file
 * Defines authcache personalized fragment access checker.
 */

/**
 * Interface for personalization fragment access checkers.
 */
interface AuthcacheP13nFragmentAccess {
  /**
   * Check whether the user has access to the given fragment.
   *
   * @param $account
   *   The user account to check.
   * @param $key
   *   The key for the fragment to be checked.
   * @param $subject
   *   The result of the loader function for the given key. If no
   *   AuthcacheP13nFragmentLoader is associated with this fragment, subject is
   *   equal to key.
   *
   * @return boolean
   *   Return TRUE when the user has access, FALSE otherwise.
   */
  public function check($account, $key, $subject);
}
