<?php
/**
 * @file
 * Defines authcache personalized fragment object loader.
 */

/**
 * Interface for personalization fragment object loaders.
 */
interface AuthcacheP13nFragmentLoader {
  /**
   * Load the objects designated by the given list of keys.
   *
   * @param $keys array
   *   A list of strings representing the keys of the fragment(s) to load.
   *
   * @return array
   *   An associative array of key-value pairs where keys correspond to the
   *   input keys and the values to the objects loaded from the database.
   */
  public function load($keys);
}
