<?php

/**
 * Interface for request validators
 */
interface AuthcacheP13nRequestValidator {
  /**
   * Validate and sanitize a request.
   *
   * Implementations must throw an AuthcacheP13nRequestInvalidInput exception
   * when params contain invalid or unexpected values.
   *
   * @param $params array
   *   The GET parameters in key-value form
   *
   * @return array
   *   Sanitized GET parameters used in subsequent processing
   *
   * @throws AuthcacheP13nRequestInvalidInput
   */
  public function validate($params);
}
