<?php
/**
 * @file
 * Defines authcache personalized setting access checker.
 */

/**
 * Interface for personalization setting access checkers.
 */
interface AuthcacheP13nSettingAccess {
  /**
   * Check whether the user has access to the given setting.
   *
   * @param $account
   *   The user account to check.
   * @param $params
   *   Params set by the client
   *
   *
   * @return boolean
   *   Return TRUE when the user has access, FALSE otherwise.
   */
  public function check($account, $params);
}
