<?php

class AuthcachePollEsiRequest extends AuthcacheEsiRequestBase {
  /**
   * Validate request
   *
   * Ensure that the nid-parameter is present and not empty.
   */
  function validateRequest(&$req) {
    $this->validateParamNonEmpty($req, 'nid');
  }

  /**
   * Get poll results/form for user
   * Response will be cached.
   *
   * @see poll.module
   */
  function render($req) {
    $result = '';

    $node = node_load($req['nid']);
    $build = node_view($node);

    if (isset($build['poll_view_voting'])) {
      return render($build['poll_view_voting']);
    }
    elseif (isset($build['poll_view_results'])) {
      return render($build['poll_view_results']);
    }
  }
}
